## tang 14

=== meson_options.txt ===
option('user', type: 'string', value: 'tang', description: 'Unprivileged user for tang operations')
option('group', type: 'string', value: 'tang', description: 'Unprivileged group for tang operations')

## tang 6

=== debian/changelog ===
tang (6-1) unstable; urgency=medium

  * Initial release. Closes: #854409

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 14 Nov 2017 18:59:31 +0100

=== debian/control ===
Source: tang
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: https://github.com/latchset/tang
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10~),
    curl,
    jose,
    libhttp-parser-dev (>= 2.7.1-2~),
    libjansson4 (>= 2.10),
    libjose-dev (>= 8),
    pkg-config,
    systemd,
Priority: optional
Section: net

Package: tang
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: network-based cryptographic binding server
 Tang is a service for binding cryptographic keys to network presence.
 It offers a secure, stateless, anonymous alternative to key escrow
 services.

Package: tang-nagios
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
    jose,
Description: monitoring plugin to check the tang server
 This package provides a plugin to monitor a tang server, a service for
 binding cryptographic keys to network presence.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

## tang 7

=== debian/changelog ===
tang (7-2) unstable; urgency=medium

  * Fix loss of service due to systemd's depencency cycle breaking

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 25 May 2020 20:34:05 +0200

tang (7-1) unstable; urgency=medium

  * New upstream version 7

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 12 Aug 2018 00:57:45 +0200

tang (6-2) unstable; urgency=medium

  * Restrict architectures to linux-any
  * Add missing dependency on jose. Closes: #904011
  * Add versionized install dependencies for libjansson and http-parser.
    Closes: #904025

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 23 Jul 2018 20:16:53 +0200

=== debian/control ===
Source: tang
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: https://github.com/latchset/tang
Standards-Version: 4.5.0
Vcs-Browser: https://git.in-ulm.de/cbiedl/tang
Vcs-Git: https://git.in-ulm.de/cbiedl/tang.git
Build-Depends: debhelper-compat (= 12),
    asciidoctor,
    curl,
    jose,
    libhttp-parser-dev (>= 2.8.0),
    libjansson-dev (>= 2.10),
    libjose-dev (>= 8),
    pkg-config,
    systemd,
Priority: optional
Rules-Requires-Root: no
Section: net

Package: tang
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    jose,
    libjansson4 (>= 2.10~),
Description: network-based cryptographic binding server
 Tang is a service for binding cryptographic keys to network presence.
 It offers a secure, stateless, anonymous alternative to key escrow
 services.

=== debian/tests/control ===
Tests: run-testsuite
Depends:
    @,
    curl,
    dpkg-dev,
    moreutils,
    socat,

## tang 8

=== debian/changelog ===
tang (8-3) unstable; urgency=medium

  * Cherry-pick four commits:
    - "Fix generation of new keys when no keys are available"
    - "Keys: fix signature generation"
    - "Tests: unify tests"
    - "Add tangd-rotate-keys helper script"
  * Recommend curl installation

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 10 May 2021 22:39:45 +0200

tang (8-2) unstable; urgency=high

  * Upon installation:
    - Make sure systemd unit is activated
    - Create tang's database directory

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 19 Apr 2021 23:50:28 +0200

tang (8-1) unstable; urgency=medium

  * New upstream version 8

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 09 Feb 2021 08:02:28 +0100

tang (7-3) unstable; urgency=medium

  * Cherry-pick several commits from upstream, most notably:
    - "Move build system to meson"
    - Move the key handling to the tang process. Closes: #975343

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 04 Jan 2021 00:05:10 +0100

=== debian/control ===
Source: tang
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: https://github.com/latchset/tang
Standards-Version: 4.5.1
Vcs-Browser: https://git.in-ulm.de/cbiedl/tang
Vcs-Git: https://git.in-ulm.de/cbiedl/tang.git
Build-Depends: debhelper-compat (= 13),
    asciidoctor,
    curl,
    jose,
    libhttp-parser-dev (>= 2.8.0),
    libjansson-dev (>= 2.10),
    libjose-dev (>= 8),
    meson,
    pkg-config,
    systemd,
Priority: optional
Rules-Requires-Root: no
Section: net

Package: tang
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    jose,
    libjansson4 (>= 2.10~),
Recommends:
    curl,
Description: network-based cryptographic binding server
 Tang is a service for binding cryptographic keys to network presence.
 It offers a secure, stateless, anonymous alternative to key escrow
 services.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,9 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@
+	dh $@ --buildsystem=meson
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_auto_install:
+	dh_auto_install --buildsystem=meson
+	rm -rf debian/tang/usr/share/licenses
+	mkdir -p debian/tang/var/db/tang

## tang 10

=== debian/changelog ===
tang (10-4) unstable; urgency=medium

  * Re-upload to the package can migrate to testing.

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 21 Nov 2021 19:22:23 +0100

tang (10-3) unstable; urgency=medium

  * Introduce a _tang system user
  * Migrate database to /var/lib/tang/
  * Ship a separate package for xinetd support. Closes: #994415

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 01 Oct 2021 17:11:28 +0200

tang (10-2) unstable; urgency=medium

  * Upload to unstable

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 16 Sep 2021 09:36:39 +0200

tang (10-1) experimental; urgency=medium

  * Upload to expermimental
  * New upstream version 10

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 10 May 2021 23:09:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,5 @@
 
 override_dh_auto_install:
 	dh_auto_install --buildsystem=meson
-	rm -rf debian/tang/usr/share/licenses
-	mkdir -p debian/tang/var/db/tang
+	[ -d debian/tmp/usr/share/licenses ]
+	rm -rf debian/tmp/usr/share/licenses

## tang 11

=== debian/changelog ===
tang (11-1) unstable; urgency=medium

  * New upstream version 11

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 15 Dec 2021 09:16:06 +0100

=== debian/control ===
--- 
+++ 
@@ -19,13 +19,45 @@
 Section: net
 
 Package: tang
-Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-    jose,
-    libjansson4 (>= 2.10~),
+Architecture: all
+Depends: ${misc:Depends},
+    tang-common (= ${binary:Version}),
 Recommends:
     curl,
 Description: network-based cryptographic binding server
  Tang is a service for binding cryptographic keys to network presence.
  It offers a secure, stateless, anonymous alternative to key escrow
  services.
+
+Package: tang-xinetd
+Architecture: all
+Depends: ${misc:Depends},
+    adduser,
+    moreutils,
+    tang-common (= ${binary:Version}),
+    xinetd,
+Recommends:
+    curl,
+Description: network-based cryptographic binding server - xinet version
+ Tang is a service for binding cryptographic keys to network presence.
+ It offers a secure, stateless, anonymous alternative to key escrow
+ services.
+ .
+ This package uses xinetd to provide the service.
+
+Package: tang-common
+Architecture: linux-any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+    adduser,
+    jose,
+    libjansson4 (>= 2.10~),
+Breaks:
+    tang (<< 10-3~),
+Replaces:
+    tang (<< 10-3~),
+Description: network-based cryptographic binding server - common files
+ Tang is a service for binding cryptographic keys to network presence.
+ It offers a secure, stateless, anonymous alternative to key escrow
+ services.
+ .
+ This package provides the files common for both backends.

=== debian/tests/control ===
Tests: run-testsuite
Depends:
    build-essential,
    cmake,
    curl,
    jose,
    libhttp-parser-dev (>= 2.8.0),
    libjansson-dev (>= 2.10),
    libjose-dev (>= 8),
    meson,
    pkg-config,
    socat,
    systemd,
    tang (>= 8-3~),
Restrictions:
    allow-stderr,
Architecture: linux-any

## tang 14

=== debian/changelog ===
tang (14-2ubuntu1) noble; urgency=medium

  * Increase timeout for the adv-socat test (LP: #2048479)
    d/p/ubuntu/adv_socat_test_timeout.patch (Closes: #1060248)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 08 Jan 2024 01:26:38 +0100

tang (14-2) unstable; urgency=medium

  * Increase timeout for the adv-standalone test

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 05 Jul 2023 20:11:30 +0200

tang (14-1) unstable; urgency=medium

  * New upstream version 14. Closes: #1038119 [CVE-2023-1672]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 15 Jun 2023 20:00:38 +0200

tang (11-2) unstable; urgency=medium

  * Tighten access permissions of the key directory
  * Override rogue NMU

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 15 Oct 2022 15:00:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: tang
-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://github.com/latchset/tang
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://git.in-ulm.de/cbiedl/tang
 Vcs-Git: https://git.in-ulm.de/cbiedl/tang.git
 Build-Depends: debhelper-compat (= 13),
     asciidoctor,
     curl,
+    iproute2,
     jose,
-    libhttp-parser-dev (>= 2.8.0),
-    libjansson-dev (>= 2.10),
-    libjose-dev (>= 8),
+    libhttp-parser-dev,
+    libjansson-dev,
+    libjose-dev,
     meson,
     pkg-config,
     systemd,
@@ -21,7 +23,7 @@
 Package: tang
 Architecture: all
 Depends: ${misc:Depends},
-    tang-common (= ${binary:Version}),
+    tang-common (>= ${source:Version}),
 Recommends:
     curl,
 Description: network-based cryptographic binding server
@@ -34,7 +36,7 @@
 Depends: ${misc:Depends},
     adduser,
     moreutils,
-    tang-common (= ${binary:Version}),
+    tang-common (>= ${source:Version}),
     xinetd,
 Recommends:
     curl,
@@ -50,11 +52,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends},
     adduser,
     jose,
-    libjansson4 (>= 2.10~),
-Breaks:
-    tang (<< 10-3~),
-Replaces:
-    tang (<< 10-3~),
+    libjansson4,
 Description: network-based cryptographic binding server - common files
  Tang is a service for binding cryptographic keys to network presence.
  It offers a secure, stateless, anonymous alternative to key escrow

## tang 15

=== debian/changelog ===
tang (15-3) unstable; urgency=medium

  * Test: Also increase the adv-standalone-endpoint timeout
  * Migrate to llhttp

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 04 Nov 2025 20:33:36 +0100

tang (15-2) unstable; urgency=medium

  * tang-show-keys: Probe for curl, add documentation
  * No longer install any files in /lib/. Closes: #1073713

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 19 Jun 2024 18:16:31 +0200

tang (15-1) unstable; urgency=medium

  * New upstream version 15
  * Drop build dependency on systemd, no longer needed. Closes: #1060536

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 16 May 2024 08:27:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tang
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://github.com/latchset/tang
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://git.in-ulm.de/cbiedl/tang
 Vcs-Git: https://git.in-ulm.de/cbiedl/tang.git
 Build-Depends: debhelper-compat (= 13),
@@ -10,14 +9,12 @@
     curl,
     iproute2,
     jose,
-    libhttp-parser-dev,
     libjansson-dev,
     libjose-dev,
+    libllhttp-dev,
     meson,
-    pkg-config,
-    systemd,
+    pkgconf,
 Priority: optional
-Rules-Requires-Root: no
 Section: net
 
 Package: tang
@@ -53,6 +50,8 @@
     adduser,
     jose,
     libjansson4,
+Suggests:
+    curl,
 Description: network-based cryptographic binding server - common files
  Tang is a service for binding cryptographic keys to network presence.
  It offers a secure, stateless, anonymous alternative to key escrow

=== debian/tests/control ===
Tests: run-testsuite
Depends:
    build-essential,
    cmake,
    curl,
    iproute2,
    jose,
    libhttp-parser-dev,
    libjansson-dev,
    libjose-dev,
    meson,
    pkg-config,
    socat,
    systemd,
    tang,
Restrictions:
    allow-stderr,
Architecture: linux-any

=== debian/watch ===
Version: 5
Template: Github
Owner: latchset
Project: @PACKAGE@
